package com.tuoheng.admin.enums.code.user;

/**
 * 修改用户密码返回码
 *      模块代码：10（用户管理）
 *      接口代码：04 （修改用户密码）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum EditUserPasswordCodeEnum {

    EDIT_IS_FAILED(1100400, "修改密码失败"),
    USER_ID_IS_NULL(1100401, "用户ID为空"),
    USER_IS_NOT_EXIST(1100402, "用户不存在"),
    NON_TENANT_USER(1100403, "当前用户非本租户用户"),
    OLD_PASSWORD_IS_NULL(1100404, "老密码为空"),
    NEW_PASSWORD_IS_NULL(1100405, "新密码为空"),
    TWO_PASSWORDS_NOT_MATCH(1100406, "两次密码不一致"),
    OLD_PASSWORD_INCORRECT(1100407, "旧密码错误");


    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditUserPasswordCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
